> ## Documentation Index
> Fetch the complete documentation index at: https://doc.va777.net/llms.txt
> Use this file to discover all available pages before exploring further.

# List free spin bets

> List free spin bets: request parameters, response format and response codes.

> [!NOTE]
>
> * Data is kept for 60 days. Each query can cover at most 15 minutes.

## Path

```text theme={null}
GET {host}/vendor/v2.0/freespin/listByTime
```

## Headers

<table>
  <colgroup>
    <col width="27%" />

    <col width="10%" />

    <col width="7%" />

    <col width="56%" />
  </colgroup>

  <thead><tr><th>Field</th><th>Type</th><th>Required</th><th>Description</th></tr></thead>

  <tbody>
    <tr><td>`Authorization`</td><td>string</td><td>Yes</td><td>Token we provide</td></tr>
  </tbody>
</table>

## Request parameters

<table>
  <colgroup>
    <col width="27%" />

    <col width="10%" />

    <col width="7%" />

    <col width="11%" />

    <col width="45%" />
  </colgroup>

  <thead><tr><th>Field</th><th>Type</th><th>Required</th><th>Signed</th><th>Description</th></tr></thead>

  <tbody>
    <tr><td>`channelID`</td><td>number</td><td>Yes</td><td>✓</td><td>Channel ID (0 queries all channels)</td></tr>
    <tr><td>`startTime`</td><td>string</td><td>Yes</td><td>✓</td><td>Start time (see [Time format](https://doc.va777.net/en/v2/guides/request-format.md#time-format))</td></tr>
    <tr><td>`endTime`</td><td>string</td><td>Yes</td><td>✓</td><td>End time (see [Time format](https://doc.va777.net/en/v2/guides/request-format.md#time-format))</td></tr>
    <tr><td>`nextToken`</td><td>string</td><td>No</td><td>✓</td><td>Query token (empty on the first query, then the nextToken from the previous result)</td></tr>
    <tr><td>`maxResults`</td><td>number</td><td>Yes</td><td>✓</td><td>Maximum number of results (min 2000, max 5000)</td></tr>
    <tr><td>`sign`</td><td>string</td><td>Yes</td><td /><td>Signature. See [Signature](https://doc.va777.net/en/v2/guides/signature.md) for how to generate it</td></tr>
  </tbody>
</table>

## Response

Success (the HTTP status code is always 200; check `status.code` for the result)

<table>
  <colgroup>
    <col width="34%" />

    <col width="12%" />

    <col width="54%" />
  </colgroup>

  <thead><tr><th>Field</th><th>Type</th><th>Description</th></tr></thead>

  <tbody>
    <tr><td>`data`</td><td>object</td><td /></tr>
    <tr><td>`data.recordList`</td><td>object\[]</td><td>Event bet records</td></tr>
    <tr><td>`data.recordList[].eventID`</td><td>string</td><td>Event ID</td></tr>
    <tr><td>`data.recordList[].grantID`</td><td>string</td><td>Grant ID</td></tr>
    <tr><td>`data.recordList[].channelID`</td><td>number</td><td>Channel ID</td></tr>
    <tr><td>`data.recordList[].account`</td><td>string</td><td>Member account</td></tr>
    <tr><td>`data.recordList[].betID`</td><td>string</td><td>Unique bet ID</td></tr>
    <tr><td>`data.recordList[].currency`</td><td>string</td><td>Currency (contact our business team)</td></tr>
    <tr><td>`data.recordList[].gameType`</td><td>string</td><td>Game type (slot / fishing / tableGame)</td></tr>
    <tr><td>`data.recordList[].gameID`</td><td>number</td><td>Game ID</td></tr>
    <tr><td>`data.recordList[].betMode`</td><td>string</td><td>Bet mode (freespin: free spin event)</td></tr>
    <tr><td>`data.recordList[].bet`</td><td>number</td><td>Bet amount</td></tr>
    <tr><td>`data.recordList[].payout`</td><td>number</td><td>Payout amount</td></tr>
    <tr><td>`data.recordList[].winLose`</td><td>number</td><td>Win/loss amount</td></tr>
    <tr><td>`data.recordList[].betTime`</td><td>string</td><td>Bet time (see [Time format](https://doc.va777.net/en/v2/guides/request-format.md#time-format))</td></tr>
    <tr><td>`data.nextToken`</td><td>string</td><td>Token for the next query (empty string on the last page)</td></tr>
    <tr><td>`data.maxResults`</td><td>number</td><td>Maximum number of results returned</td></tr>
    <tr><td>`data.total`</td><td>number</td><td>Total number of records in this query</td></tr>
    <tr><td>`status`</td><td>object</td><td>Response status. See [Response format](https://doc.va777.net/en/v2/guides/request-format.md#response-format)</td></tr>
  </tbody>
</table>

### Response example

```json theme={null}
{
  "data": {
    "recordList": [
      {
        "eventID": "abccc1234567890aaaaa1254",
        "grantID": "aaaaa1234567890aaaaa9999",
        "channelID": 1,
        "account": "test123",
        "betID": "98756145821545",
        "currency": "CNY",
        "gameType": "slot",
        "gameID": 492,
        "betMode": "freespin",
        "bet": 0,
        "payout": 10,
        "winLose": 10,
        "betTime": "2022-07-01T10:13:54.920+08:00"
      }
    ],
    "nextToken": "gdfv5451gg5574fs",
    "maxResults": 2000,
    "total": 1
  },
  "status": {
    "code": "0",
    "message": "success",
    "datetime": "2022-07-01T10:13:54.920+08:00",
    "traceCode": "7cf25e1957cc47fe8e01f1a7c6d504d6"
  }
}
```

## Response codes

Besides the [common codes](https://doc.va777.net/en/v2/reference/response-codes.md), this API may also return:

| Code | Description |
| - | - |
| `429` | Too many requests |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.